"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const legacyBuild_1 = require("./utils/legacyBuild");
const legacyPackage_1 = require("./utils/legacyPackage");
exports.functionRuntimeContributorFactory = context => {
    return {
        contribute: request => {
            const selection = request.selection;
            if (selection !== 'nodejs') {
                return Promise.reject(new Error(`Unknown selection ${selection}`));
            }
            return Promise.resolve({
                runtime: {
                    name: 'NodeJS',
                    value: 'nodejs',
                    cloudTemplateValue: 'nodejs12.x',
                    defaultHandler: 'index.handler',
                },
            });
        },
        checkDependencies: () => Promise.resolve({ hasRequiredDependencies: true }),
        package: params => legacyPackage_1.packageResource(params, context),
        build: params => legacyBuild_1.buildResource(params),
        invoke: params => {
            throw new Error('not yet implemented');
        },
    };
};
//# sourceMappingURL=index.js.map